﻿//varsion 09.05.24.02
var __ChocoPlayerForWeb_paramsList = new Array();

//キャッシュの無効化
window.onunload = function(){}

//初期化メソッドの本体
function __ChocoPlayerForWeb_InitChocoPlayerForWebCore(paramsID)
{
	var iframe = __ChocoPlayerForWeb_paramsList[paramsID].iframe;
	var uri = __ChocoPlayerForWeb_paramsList[paramsID].uri;
	var autoOpen = __ChocoPlayerForWeb_paramsList[paramsID].autoOpen;
	var autoStart = __ChocoPlayerForWeb_paramsList[paramsID].autoStart;
	var repeat = __ChocoPlayerForWeb_paramsList[paramsID].repeat;
	try {
		var silverlightControlHost = iframe.contentWindow.document.getElementById("silverlightControlHost");
		var playerContainer = iframe.contentWindow.document.getElementsByTagName("object")[0];
		var playerContent = playerContainer.Content;
		var player = playerContent.moviePlayer;
		player.SetSize(parseInt(iframe.getAttribute("width")), parseInt(iframe.getAttribute("height")));
		var title = iframe.getAttribute("title");
		if (title == null) title = "";
		player.OpenMedia(uri, title, autoOpen, autoStart, repeat);
	}catch(e){
		//Silverlightの初期化がページのロードに間に合わないことがあるので 、正常終了でなければ遅延してもう一回。
		setTimeout("__ChocoPlayerForWeb_InitChocoPlayerForWebCore(" + paramsID + ")", 500);
	}

}

//初期化処理のエントリポイント
function InitChocoPlayerForWeb(iframe, uri, autoOpen, autoStart, repeat)
{
	//引数の初期化
	if (autoOpen != true && autoOpen != false) autoOpen = false;
	if (autoStart != true && autoStart != false) autoStart = false;
	if (repeat != true && repeat != false) repeat = false;
	
	//uriの正規化
	var protocol = document.URL.substring(0, document.URL.indexOf("://") + ("://").length);
	var prefix = protocol + document.location.hostname;
	if(uri.indexOf(protocol) != 0){
		if(uri[0] == "/"){
			uri = prefix + uri;
		}else{
			var pathname = document.location.pathname;
			if(pathname[pathname.length - 1] == "/"){//pathname がディレクトリである。
				uri = prefix + pathname + uri;
			}else{
				var lastSlashIndex = pathname.lastIndexOf("/");
				if(pathname.indexOf(".", lastSlashIndex) < 0){//最後が「/」ではないが、たぶんディレクトリ（「.」が入ってないからファイルじゃないと判断する）。
					uri = prefix + pathname + "/" + uri;
				}else{
					uri = prefix + pathname.substr(0, lastSlashIndex + 1) + uri;
				}
			}
		}
	}
	
	
	//引数オブジェクトの作成
	var paramsID = __ChocoPlayerForWeb_paramsList.length.toString();
	var params = new Object();
	__ChocoPlayerForWeb_paramsList[paramsID] = params;
	params.iframe = iframe;
	params.uri = uri;
	params.autoOpen = autoOpen;
	params.autoStart = autoStart;
	params.repeat = repeat;
	
	//iframeのスクロールバー無効化（IE8対策）
	iframe.contentWindow.document.documentElement.style.overflow = "hidden";
	iframe.contentWindow.document.body.style.overflow = "hidden";

	//初期化メソッドの実行
	//Silverlightの初期化がページのロードに間に合わないことがあるので setTimeout で遅延させる・・・。
	//加えて、どういうわけかIE8対策を実行したりローカルで呼び出した場合、即時にこの初期化メソッドを呼ぶと Firefox がうまく動かない。
	setTimeout("__ChocoPlayerForWeb_InitChocoPlayerForWebCore(" + paramsID + ")", 500);
	//__ChocoPlayerForWeb_InitChocoPlayerForWebCore(paramsID);
}
